### Function

# Gcr trust_remove_pinned_certificate

since: 4

#### Declaration [src]

    gboolean
    gcr_trust_remove_pinned_certificate (
      GcrCertificate* certificate,
      const gchar* purpose,
      const gchar* peer,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Remove a pinned certificate for communication with `peer` for `purpose`.

If the same pinned certificate does not exist, or was already removed, then this operation succeeds without error.

This call may block, see `gcr_trust_remove_pinned_certificate_async()` for the non-blocking version.

Available since: 4

#### Parameters

`certificate`

  Type: `GcrCertificate`

  A `GcrCertificate`.

  The data is owned by the caller of the function.

`purpose`

  Type: `const gchar*`

  The purpose string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`peer`

  Type: `const gchar*`

  The peer for this pinned certificate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the pinned certificate no longer exists.